Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan_FFI::FFI_Error Class Referencefinal

`#include <ffi_util.h>`

Inheritance diagram for Botan_FFI::FFI_Error:

## Public Member Functions
int | error_code () const noexceptoverride
Botan::ErrorType | error_type () const noexceptoverride
| FFI_Error (const std::string &what, int err_code)
const char * | what () const noexceptoverride

## Detailed Description

Definition at line 19 of file ffi_util.h.

## Constructor & Destructor Documentation

Botan_FFI::FFI_Error::FFI_Error | ( | const std::string & | what,
|  | int | err_code
| ) |  |
| inline

Definition at line 22 of file ffi_util.h.

22 :
23 Exception("FFI error", what),
24 m_err_code(err_code)
25 {}
Botan::Exception::Exception
Exception(const std::string &msg)
Definition: exceptn.cpp:73
Botan::Exception::what
const char * what() const noexceptoverride
Definition: exceptn.h:96

## Member Function Documentation

int Botan_FFI::FFI_Error::error_code | ( |  | ) | const
| inline override virtual noexcept

Return an error code associated with this exception, or otherwise 0.

The domain of this error varies depending on the source, for example on POSIX systems it might be errno, while on a Windows system it might be the result of GetLastError or WSAGetLastError. For error_type() is OpenSSLError, it will (if nonzero) be an OpenSSL error code from ERR_get_error.

Reimplemented from Botan::Exception.

Definition at line 27 of file ffi_util.h.

Referenced by Botan_FFI::ffi_guard_thunk().

27 { return m_err_code; }

Botan::ErrorType Botan_FFI::FFI_Error::error_type | ( |  | ) | const
| inline override virtual noexcept

Return the "type" of error which occurred.

Reimplemented from Botan::Exception.

Definition at line 29 of file ffi_util.h.

References Botan::InvalidArgument.

29 { return Botan::ErrorType::InvalidArgument; }
Botan::ErrorType::InvalidArgument

const char* Botan::Exception::what | ( |  | ) | const
| inline override noexcept inherited

Return a descriptive string which is hopefully comprehensible to a developer. It will likely not be useful for an end user.

The string has no particular format, and the content of exception messages may change from release to release. Thus the main use of this function is for logging or debugging.

Definition at line 96 of file exceptn.h.

References m_msg.

Referenced by Botan::TLS::Client_Key_Exchange::Client_Key_Exchange(), Botan::RSA_PrivateKey::create_decryption_op(), Botan::RSA_PublicKey::create_encryption_op(), and Botan_FFI::ffi_guard_thunk().

96 { return m_msg.c_str(); }

The documentation for this class was generated from the following file:

- src/lib/ffi/ffi_util.h